import java.util.*;
import java.io.*;

public class TestsGenerator {
	Random r = new Random(272389);

	void genTests(int firstNum) throws IOException {
		for (int i = firstNum; i <= 40; i++) {
			String name = "" + i;
			if (i < 10) {
				name = "0" + name;
			}
			PrintWriter out = new PrintWriter(new File(name));
			int n = 1 + r.nextInt(49) + 1;
			if (i <= 10) {
				n = 50;
			}
			out.println(n);
			for (int j = 0; j < n; j++) {
				out.println((r.nextInt(20001) - 10000) + " " + (r.nextInt(20001) - 10000));
			}
			out.close();
		}
		for (int i = 40; i <= 50; i++) {
			String name = "" + i;
			if (i < 10) {
				name = "0" + name;
			}
			PrintWriter out = new PrintWriter(new File(name));
			int n = r.nextInt(25) + 1;
			n *= 2;
			out.println(n);
			int d = r.nextInt(1000) + 1;
			for (int j = 0; j < n / 2; j++) {
				int x = (r.nextInt(2001) - 1000);
				if (r.nextBoolean()) {
					d = -d;
				}
				int y = (r.nextInt(20001) - 10000);
				out.println(x + " " + y);
				out.println((x + d) + " " + y);
			}
			out.close();
		}
	}

	public static void main(String[] args) throws IOException {
		new TestsGenerator().genTests(2);
	}
}